package com.bocloud.cmp.model.installation;

import java.util.List;

/**
 * Raid配置RaidOptions实体类
 *
 * @author 007
 */
public class RaidOptions {
    /**
     * 机械硬盘raid配置信息
     */
    private List<Raid> hddArr;
    private List<Raid> ssdStoragePoolArr;
    private List<Raid> ssdCacheCadeArr;
    /**
     * HP系列硬盘组信息
     * [
     * "0:A:1",
     * "0:A:2"
     * ]
     */
    private List<String> groupArr;
    /**
     * 配置Raid的工具的路径
     */
    private String path;
    /**
     * raid的controller名称
     */
    private int controller;
    /**
     * 非RackHD需要的字段,前端使用这个字段传入配置
     */
    private List<Raid> config;

    public RaidOptions() {
        super();
    }

    /**
     * @return the hddArr
     */
    public List<Raid> getHddArr() {
        return hddArr;
    }

    /**
     * @param hddArr the hddArr to set
     */
    public void setHddArr(List<Raid> hddArr) {
        this.hddArr = hddArr;
    }

    /**
     * @return the path
     */
    public String getPath() {
        return path;
    }

    /**
     * @param path the path to set
     */
    public void setPath(String path) {
        this.path = path;
    }

    /**
     * @return the controller
     */
    public int getController() {
        return controller;
    }

    /**
     * @param controller the controller to set
     */
    public void setController(int controller) {
        this.controller = controller;
    }

    /**
     * @return the config
     */
    public List<Raid> getConfig() {
        return config;
    }

    /**
     * @param config the config to set
     */
    public void setConfig(List<Raid> config) {
        this.config = config;
    }

    public List<String> getGroupArr() {
        return groupArr;
    }

    public void setGroupArr(List<String> groupArr) {
        this.groupArr = groupArr;
    }

    public List<Raid> getSsdStoragePoolArr() {
        return ssdStoragePoolArr;
    }

    public void setSsdStoragePoolArr(List<Raid> ssdStoragePoolArr) {
        this.ssdStoragePoolArr = ssdStoragePoolArr;
    }

    public List<Raid> getSsdCacheCadeArr() {
        return ssdCacheCadeArr;
    }

    public void setSsdCacheCadeArr(List<Raid> ssdCacheCadeArr) {
        this.ssdCacheCadeArr = ssdCacheCadeArr;
    }
}
